--- dnsmgr.c.old	2007-02-19 11:46:28.000000000 -0600
+++ dnsmgr.c	2007-02-19 11:47:11.000000000 -0600
@@ -121,6 +121,9 @@
 
 int ast_dnsmgr_lookup(const char *name, struct in_addr *result, struct ast_dnsmgr_entry **dnsmgr)
 {
+	struct ast_hostent ahp;
+	struct hostent *hp;
+
 	if (ast_strlen_zero(name) || !result || !dnsmgr)
 		return -1;
 
@@ -135,14 +138,13 @@
 	if (inet_aton(name, result))
 		return 0;
 
+	/* do the lookup */
+	if ((hp = ast_gethostbyname(name, &ahp)))
+		memcpy(result, hp->h_addr, sizeof(result));
+
 	/* if the manager is disabled, do a direct lookup and return the result,
 	   otherwise register a managed lookup for the name */
 	if (!enabled) {
-		struct ast_hostent ahp;
-		struct hostent *hp;
-
-		if ((hp = ast_gethostbyname(name, &ahp)))
-			memcpy(result, hp->h_addr, sizeof(result));
 		return 0;
 	} else {
 		if (option_verbose > 2)
